Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 52)
@@ -0,0 +1,458 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 担当者承認コメントデータアクセスクラス
+    /// </summary>
+    public class IOPersonApprovalCommnet : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 承認コメントデータフィールド並び
+        /// </summary>
+        public enum ColumnName
+        {
+            PersonCode = 0,
+            ApprovalCode,
+            OrderDate,
+            OrderNo,
+            CommentNo,
+            ParentNo,
+            ApproValComment,
+            ENTRYDATE,
+            UPDATEDATE
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOPersonApprovalCommnet()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 承認コメントデータ検索文字列作成
+        /// <summary>
+        /// 承認コメントデータ検索文字列作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+            strcmd += " PersonCode";
+            strcmd += ",ApprovalCode";
+            strcmd += ",OrderDate";
+            strcmd += ",OrderNo";
+            strcmd += ",CommentNo";
+            strcmd += ",ParentNo";
+            strcmd += ",ApproValComment";
+            strcmd += ",TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += ",TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " FROM PersonApprovalCommnet";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 承認コメントデータ検索（複数）
+        /// <summary>
+        /// 承認コメントデータ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<PersonApprovalCommnet> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    PersonApprovalCommnet work = new PersonApprovalCommnet();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 承認コメントデータ検索（1件）
+        /// <summary>
+        /// 承認コメントデータ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref PersonApprovalCommnet data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                object[] objwrk = (object[])arData[0];
+                Reader2Struct(objwrk, ref data);
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+
+        }
+        #endregion
+
+        #region 承認コメントデータ追加（複数）
+        /// <summary>
+        /// 承認コメントデータ追加（複数）
+        /// </summary>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<PersonApprovalCommnet> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (PersonApprovalCommnet work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ追加（1件）
+        /// <summary>
+        /// 承認コメントデータ追加（1件）
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(PersonApprovalCommnet data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                    strcmd = "INSERT INTO PersonApprovalCommnet";
+                    strcmd += " (PersonCode";
+                    strcmd += ",ApprovalCode";
+                    strcmd += ",OrderDate";
+                    strcmd += ",OrderNo";
+                    strcmd += ",CommentNo";
+                    strcmd += ",ParentNo";
+                    strcmd += ",ApproValComment";
+                    strcmd += ",EntryDate";
+                    strcmd += ",UpdateDate)";
+
+                    strcmd += " VALUES (";
+
+                    strcmd += string.Format("  {0}", data.PersonCode.ToString());
+                    strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
+                    strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());
+                    strcmd += string.Format(", {0}", data.OrderNo.ToString());
+                    strcmd += string.Format(", {0}", data.CommentNo.ToString());
+                    strcmd += string.Format(", {0}", data.ParentNo.ToString());
+                    strcmd += string.Format(", '{0}'", data.ApproValComment.ToString());
+
+                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                    strcmd = strcmd + ")";
+
+                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ更新
+        /// <summary>
+        /// 承認コメントデータ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, PersonApprovalCommnet data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE PersonApprovalCommnet";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" PersonCode = {0}", data.PersonCode.ToString());
+                strcmd += string.Format(",ApprovalCode = {0}", data.ApprovalCode.ToString());
+                strcmd += string.Format(",OrderDate = TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd += string.Format(",CommentNo = {0}", data.CommentNo.ToString());
+                strcmd += string.Format(",ParentNo = {0}", data.ParentNo.ToString());
+                strcmd += string.Format(",ApproValComment = '{0}'", data.ApproValComment.ToString());
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 承認コメントデータ削除
+        /// <summary>
+        /// 承認コメントデータ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">承認コメントデータデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM PersonApprovalCommnet", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, int ApprovalCode, DateTime OrderDate, int FeildNo, object value, bool bConnect = true, int OrderNo = 0, int CommentNo = 0)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE PersonApprovalCommnet";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)ColumnName.PersonCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ApprovalCode:
+                        strcmd += string.Format(" ApprovalCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.OrderDate:
+                        strcmd += string.Format(" OrderDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)ColumnName.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.CommentNo:
+                        strcmd += string.Format(" CommentNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ParentNo:
+                        strcmd += string.Format(" ParentNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)ColumnName.ApproValComment:
+                        strcmd += string.Format(" ApproValComment = '{0}'", value.ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, CommentNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref PersonApprovalCommnet wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)ColumnName.PersonCode].ToString());
+                wrk.ApprovalCode = int.Parse(objwrk[(int)ColumnName.ApprovalCode].ToString());
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)ColumnName.OrderDate].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)ColumnName.OrderNo].ToString());
+                wrk.CommentNo = int.Parse(objwrk[(int)ColumnName.CommentNo].ToString());
+                wrk.ParentNo = int.Parse(objwrk[(int)ColumnName.ParentNo].ToString());
+                wrk.ApproValComment = objwrk[(int)ColumnName.ApproValComment].ToString();
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)ColumnName.ENTRYDATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)ColumnName.UPDATEDATE].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="BusinessTypeCode"></param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int ConstructionCode, int ApprovalCode, DateTime OrderDate, int OrderNo = 0, int CommentNo = 0, string APara = "")
+        {
+            string strWork = string.Empty;
+            try
+            {
+                strWork = string.Format(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
+                strWork += string.Format(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
+                strWork += string.Format(" And {0}OrderDate = TO_DATE('{1}','YYYY/MM/DD')", APara, OrderDate.ToShortDateString());
+                if (OrderNo != 0)
+                    strWork += string.Format(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
+                if (CommentNo != 0)
+                    strWork += string.Format(" And {0}CommentNo = {1}", APara, CommentNo.ToString());
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 枝番の最大値を取得する
+        /// <summary>
+        /// 枝番の最大値を取得する
+        /// </summary>
+        /// <returns></returns>
+        public int MaxCommentNoCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT NVL(MAX(CommentNo), 0) FROM PersonApprovalCommnet" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iRet;
+        }
+        #endregion
+    }
+}
